Subject: Re: [Codestand-develop] Various issues with codestand.ietf.org and trac.tools.ietf.org (was Re: IETF Tools Servers Password)

From: Christian O'Flaherty <[email-masked]>
Date: Sat, 3 Jun 2017 23:26:34 +0000

Thank you Henrik and Patrick.  

We'll check it and report back. 

Christian 

Sent from Phone

> On Jun 3, 2017, at 8:21 PM, Henrik Levkowetz <[email-masked]> wrote:
> 
> Hi Christian and codestand-developers,
> 
> I'm forwarding an issue report related to codestand.
> 
> I've also Cc:d you on my reply to the OP, for info.
> 
> 
> Best regards,
> 
>    Henrik
> 
> 
> -------- Forwarded Message --------
> Subject: Various issues with codestand.ietf.org and trac.tools.ietf.org (was Re: IETF Tools Servers Password)
> Date: Sat, 3 Jun 2017 23:51:23 +0200
> From: Patrick Mevzek <[email-masked]>
> To: [email-masked]
> 
> Hello IETF Webmaster,
> 
> I have various bugs/errors to report, listed there chronologically.
> (please see at bottom why I was not able to create tickets myself)
> 
> 1) I'm trying to use IETF Codestand
> I log successfully with my [email-masked] email.
> 
> First, clicking on "Top coders" then any name give an error.
> 
> Like for
> https://codestand.ietf.org/codestand/accounts/profile/112723/
> I get
> NoReverseMatch at /codestand/accounts/profile/112723/
> 
> Reverse for 'show' with arguments '(6L, 3L)' and keyword arguments
> '{}' not found. 0 pattern(s) tried: []
> 
> Request Method:    GET
> Request URL:
> https://codestand.ietf.org/codestand/accounts/profile/112723/
> Django Version:    1.10.7
> Exception Type:    NoReverseMatch
> Exception Value:    
> 
> Reverse for 'show' with arguments '(6L, 3L)' and keyword arguments
> '{}' not found. 0 pattern(s) tried: []
> 
> Exception Location:
> /usr/local/lib/python2.7/dist-packages/django/urls/resolvers.py in
> _reverse_with_prefix, line 392
> Python Executable:    /usr/bin/python
> Python Version:    2.7.6
> Python Path:    
> 
> ['/var/www/codestand',
> '/usr/lib/python2.7',
> '/usr/lib/python2.7/plat-x86_64-linux-gnu',
> '/usr/lib/python2.7/lib-tk',
> '/usr/lib/python2.7/lib-old',
> '/usr/lib/python2.7/lib-dynload',
> '/usr/local/lib/python2.7/dist-packages',
> '/usr/lib/python2.7/dist-packages',
> '/usr/lib/python2.7/dist-packages/PILcompat',
> '/var/www/codestand']
> 
> Server time:    Sat, 3 Jun 2017 14:38:23 -0700
> 
> </quote>
> 
> 2) Now a major UI issue.
> I started to add a new project.
> I fill out the form in order so I add tens of documents (RFCs & I-Ds)
> everything ok
> then below on the form I add an email as contact…
> The email is accepted but as the page get reloaded, all added
> documents are lost :-(
> When I save the project they are indeed lost so this is not a display
> issue.
> 
> It will cause me some time to re-add them :-(
> 
> And I even see now that the URL and email field were not saved at all,
> and when I do 'edit' I have no way to add documents any more.
> 
> So I'm quite lost on how to use the IETF codestand website.
> 
> 3) And finally I click on 'Report a bug' at bottom (my first reaction
> to report the above 2 problems) which sends me to:
> https://trac.tools.ietf.org/tools/ietfdb/newticket
> where it says I'm not logged in (I was on codestand.ietf.org, too bad
> that the login is not shared), so I go to
> https://trac.tools.ietf.org/tools/loginmgr/newlogin
> and enter my email address
> [email-masked]
> 
> which only gives me after submitting an error and an email soon after
> with the same error displayed in it, as reported below:
> 
> [email-masked] <[email-masked]> 2017-06-03 23:37
>> 
>> Hi,
>> 
>> I'm sorry, but the automatic login and password service failed; manual
>> intervention is needed.  Please send a mail to <[email-masked]>
>> and explain the situation for further assistance.
>> 
>> Regards,
>> 
>> The LoginMgr program (for the webmaster)
> 
> I have no clue what is wrong. So as requested in the above message,
> here is my report of various problems.
> 
> 
> Additional problem/question: I fail to see on how to set-up the
> "area"/"working-group" related to my project on codestand.
> 
> PS: I was using Firefox 53.0.3 with Ghostery/Privacy Badger/Noscript
> extensions (but ietf.org is whitelisted)
> 
> 
> -- 
> Patrick Mevzek
> 
> 
> 
>